diff --git a/meson_options.txt b/meson_options.txt
index 02b93194..503acfb7 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -10,3 +10,7 @@ option('enable_gstreamer',
        description: 'Build GStreamer plugins',
        type: 'boolean',
        value: false)
+option('systemd_user_unit_dir',
+       description: 'systemd user unit directory',
+       type: 'string',
+       value: '')
diff --git a/src/daemon/systemd/user/meson.build b/src/daemon/systemd/user/meson.build
index a3970a82..f7decc73 100644
--- a/src/daemon/systemd/user/meson.build
+++ b/src/daemon/systemd/user/meson.build
@@ -1,4 +1,7 @@
-systemd_user_services_dir = systemd.get_pkgconfig_variable('systemduserunitdir')
+systemd_user_services_dir = get_option('systemd_user_unit_dir')
+if systemd_user_services_dir == ''
+  systemd_user_services_dir = systemd.get_pkgconfig_variable('systemduserunitdir')
+endif
 
 install_data(sources : 'pipewire.socket', install_dir : systemd_user_services_dir)
 
